"use client";

import Link from "next/link";

import { motion } from "framer-motion";

import { Rocket } from "lucide-react";

import { cn } from "@/lib/utils";

import { buttonVariants } from "@/components/ui/button";
import Section from "@/components/section";

const ease = [0.16, 1, 0.3, 1];

export default function CtaSection() {
  return (
    <Section
      id="cta"
      title="Ready to experience the future of autonomous AI?"
      subtitle="Join us and try our agentic AI into your operations."
      className="bg-primary/10 dark:bg-primary/70 rounded-xl py-16"
    >
      <motion.div
        initial={{ opacity: 0, y: 20 }}
        animate={{ opacity: 1, y: 0 }}
        transition={{ delay: 0.8, duration: 0.8, ease }}
        className="flex flex-col w-full sm:flex-row items-center justify-center space-y-4 sm:space-y-0 sm:space-x-4 pt-4"
      >
        <Link
          href={`${process.env.NEXT_PUBLIC_DASHBOARD_URL}/explore`}
          className={cn(
            buttonVariants({ variant: "default" }),
            "w-full sm:w-auto text-background flex gap-2"
          )}
        >
          <Rocket className="h-6 w-6" />
          Get started
        </Link>
      </motion.div>
    </Section>
  );
}
